package top.lichx.webclassbackend.exception;

import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestControllerAdvice;
import top.lichx.webclassbackend.result.Result;

@RestControllerAdvice
public class GlobalExceptionHandler {

//    // 处理空指针异常
//    @ExceptionHandler(NullPointerException.class)
//    public Result<?> handleNullPointerException(NullPointerException ex) {
//        ex.printStackTrace();
//        return Result.error("空指针异常，请检查代码！");
//    }

    // 处理其他异常
    @ExceptionHandler(Exception.class)
    public Result<?> handleException(Exception ex) {
        ex.printStackTrace();
        return Result.error("服务器内部错误：" + ex.getMessage());
    }
}