package top.lichx.webclassbackend.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("article")
public class Article {

    Integer id;
    String title;
    String author;
    @TableField("mainIdea")
    String mainIdea;
    String content;

    public Article(Integer id, String title, String author, String content) {
        this.id = id;
        this.title = title;
        this.author = author;
        this.content = content;
        this.mainIdea = "概述生成中...";
    }
}
