package top.lichx.webclassbackend.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import top.lichx.webclassbackend.pojo.dto.ArticleInfoDTO;
import top.lichx.webclassbackend.pojo.entity.Article;
import top.lichx.webclassbackend.pojo.vo.ArticleManagerInfoVO;

public interface ArticleManagerService {

    IPage<ArticleManagerInfoVO> getArticleManagerInfoPage(int page, int size);
    Integer getArticleManagerInfoLastId();
    Integer getTotal();
    Integer InsertArticleInfo(ArticleInfoDTO articleInfoDTO);

    void UpdateArticleInfo(ArticleInfoDTO articleInfoDTO);

    void UpdateArticleMainIdea(Integer id, String mainIdea);

    IPage<Article> GetArticlesByAuthorName(String authorName, Integer page, Integer size);

    Integer GetArticleCountByAuthorName(String authorName);

    void deleteArticleById(Integer id);
}
