package top.lichx.webclassbackend.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("userT")
public class User {
    Integer id;
    String name;
    String password;
    String email;
    LocalDateTime birth;
    @TableField("avatarPath")
    String avatarPath;
    String amount;
}
