package top.lichx.webclassbackend.util;

import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.stereotype.Component;

@Component
public class PasswordUtil {

    // 加密密码（使用 SHA-256）
    public String encrypt(String rawPassword) {
        return DigestUtils.sha256Hex(rawPassword);
    }

    // 验证密码
    public boolean matches(String rawPassword, String encryptedPassword) {
        return encrypt(rawPassword).equals(encryptedPassword);
    }
}